### Function

# Gtk hsv_to_rgb

#### Declaration [src]

    void
    gtk_hsv_to_rgb (
      float h,
      float s,
      float v,
      float* r,
      float* g,
      float* b
    )

#### Description [src]

Converts a color from HSV space to RGB.

Input values must be in the [0.0, 1.0] range; output values will be in the same range.

#### Parameters

`h` | `float`
| Hue.
`s` | `float`
| Saturation.
`v` | `float`
| Value.
`r` | `float*`
| Return value for the red component.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`g` | `float*`
| Return value for the green component.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
`b` | `float*`
| Return value for the blue component.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.